﻿
> ![Written with \[StackEdit\](https://stackedit.io/).## **NOV Schedule for .NET**](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Images/NOVSchedule.png)  
 

# **NOV Schedule for .NET**

Advanced Schedule component for Blazor WebAssembly, WPF, WinForms, and Xamarin.Mac.


**NOV Schedule for .NET** is a widget for showing and organizing appointments and recurring events in your .NET applications. It provides all the features of Microsoft Outlook Calendar and Google Calendar plus many more such as support for multiple time zones, multi-level grouping, CSS-like styling of appointments, headers, grid and time rulers, extended support for recurring meetings and events, and so on.  
  
**NOV Schedule for .NET** is the product behind [Nevron Calendar](https://www.nevronoffice.com/products-calendar-about.aspx) - a commercial calendar application for appointment scheduling, tasks, and events management. The Calendar application combines Microsoft Outlook Calendar and Google Calendar functionalities, plus many more.  
  
**NOV Schedule for .NET** main features include:

-   **Built-in dialogs** for editing appointment and schedule component properties;
-   **Two built-in commands UIs** – ribbon and command bars;
-   **Four built-in views** – Day, Week, Month, and Timeline;
-   **Horizontal and vertical orientation** support for all views;
-   **Appointment categorization** via categories and time markers;
-   **Multi-level grouping** – makes it easy to visualize appointments grouped by different criteria and properties;
-   **Rich interactivity support** – dragging and snapping of appointments;
-   **Flexible recurring appointment support** – makes it possible to create appointments and events based on an arbitrary schedule quickly;
-   **iCalendar Format Support** - makes it possible to import and export calendar data from and to Google Calendar, Microsoft Outlook, Apple Calendar and other popular calendar applications;
-   **Print support;**
-   **Export to PDF and various image formats** (PNG, JPEG, Bitmap);
-   **Fully styleable, customizable, and extensible control**– lets you make your schedule unique and a better fit for your application;
-   **Detailed documentation and code examples.**


![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Images/Schedule1.png)

![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Images/Schedule2.png)

![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Images/Schedule3.png)

![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Images/Schedule4.png)
![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Images/Schedule5.png)
  ## Get Started
![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Folder.png) [Online Demo](https://blazorexamples.nevron.com/)

![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Folder.png) [NOV Schedule Features](https://www.nevron.com/products-open-vision-nov-schedule-control-features.aspx)

![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Folder.png) [Documentation](https://helpopenvision.nevron.com/)

![enter image description here](https://raw.githubusercontent.com/Nevron-Software/NOV/master/Folder.png) [White Papers]()



